# Authentication Architecture

## Supported Methods

Email/password.

Google OAuth.

Microsoft OAuth.


---

# Future

Potential:

Other providers.

Enterprise login.

---

# Requirements

Authentication should support:

- Registration.
- Login.
- Password reset.
- 2FA.
- Account management.

---

# User Creation

OAuth users:

If account does not exist:

Create automatically.

---

# Separation

Authentication identity != career profile.